# wxRichTextProperties Class Reference
[Rich Text]

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextProperties:
[legend]

## Detailed Description

A simple property class using wxVariants.

This is used to give each rich text object the ability to store custom properties that can be used by the application.

##

Library: wxRichText

Category: Rich Text

See also:
  wxRichTextBuffer, wxRichTextObject, wxRichTextCtrl

## Public Member Functions
| wxRichTextProperties ()
| Default constructor.
| wxRichTextProperties (const wxRichTextProperties &props)
| Copy constructor.
void | operator= (const wxRichTextProperties &props)
| Assignment operator.
bool | operator== (const wxRichTextProperties &props) const
| Equality operator.
void | Copy (const wxRichTextProperties &props)
| Copies from props.
const wxVariant & | operator[] (size_t idx) const
| Returns the variant at the given index.
wxVariant & | operator[] (size_t idx)
| Returns the variant at the given index.
void | Clear ()
| Clears the properties.
const wxRichTextVariantArray & | GetProperties () const
| Returns the array of variants implementing the properties.
wxRichTextVariantArray & | GetProperties ()
| Returns the array of variants implementing the properties.
void | SetProperties (const wxRichTextVariantArray &props)
| Sets the array of variants.
wxArrayString | GetPropertyNames () const
| Returns all the property names.
size_t | GetCount () const
| Returns a count of the properties.
bool | HasProperty (const wxString &name) const
| Returns true if the given property is found.
int | Find (const wxString &name) const
| Finds the given property.
const wxVariant & | GetProperty (const wxString &name) const
| Gets the property variant by name.
wxVariant * | FindOrCreateProperty (const wxString &name)
| Finds or creates a property with the given name, returning a pointer to the variant.
wxString | GetPropertyString (const wxString &name) const
| Gets the value of the named property as a string.
long | GetPropertyLong (const wxString &name) const
| Gets the value of the named property as a long integer.
bool | GetPropertyBool (const wxString &name) const
| Gets the value of the named property as a boolean.
double | GetPropertyDouble (const wxString &name) const
| Gets the value of the named property as a double.
void | SetProperty (const wxVariant &variant)
| Sets the property by passing a variant which contains a name and value.
void | SetProperty (const wxString &name, const wxVariant &variant)
| Sets a property by name and variant.
void | SetProperty (const wxString &name, const wxString &value)
| Sets a property by name and string value.
void | SetProperty (const wxString &name, long value)
| Sets property by name and long integer value.
void | SetProperty (const wxString &name, double value)
| Sets property by name and double value.
void | SetProperty (const wxString &name, bool value)
| Sets property by name and boolean value.
## Protected Attributes
wxRichTextVariantArray | m_properties

List of all members.

## Constructor & Destructor Documentation

wxRichTextProperties::wxRichTextProperties | ( |  | ) | `[inline]`

Default constructor.

wxRichTextProperties::wxRichTextProperties | ( | const wxRichTextProperties & | props | ) | `[inline]`

Copy constructor.

## Member Function Documentation

void wxRichTextProperties::Clear | ( |  | ) | `[inline]`

Clears the properties.

void wxRichTextProperties::Copy | ( | const wxRichTextProperties & | props | ) | `[inline]`

Copies from props.

int wxRichTextProperties::Find | ( | const wxString & | name | ) | const

Finds the given property.

wxVariant* wxRichTextProperties::FindOrCreateProperty | ( | const wxString & | name | ) |

Finds or creates a property with the given name, returning a pointer to the variant.

size_t wxRichTextProperties::GetCount | ( |  | ) | const`[inline]`

Returns a count of the properties.

wxRichTextVariantArray& wxRichTextProperties::GetProperties | ( |  | ) | `[inline]`

Returns the array of variants implementing the properties.

const wxRichTextVariantArray& wxRichTextProperties::GetProperties | ( |  | ) | const`[inline]`

Returns the array of variants implementing the properties.

const wxVariant& wxRichTextProperties::GetProperty | ( | const wxString & | name | ) | const

Gets the property variant by name.

bool wxRichTextProperties::GetPropertyBool | ( | const wxString & | name | ) | const

Gets the value of the named property as a boolean.

double wxRichTextProperties::GetPropertyDouble | ( | const wxString & | name | ) | const

Gets the value of the named property as a double.

long wxRichTextProperties::GetPropertyLong | ( | const wxString & | name | ) | const

Gets the value of the named property as a long integer.

wxArrayString wxRichTextProperties::GetPropertyNames | ( |  | ) | const

Returns all the property names.

wxString wxRichTextProperties::GetPropertyString | ( | const wxString & | name | ) | const

Gets the value of the named property as a string.

bool wxRichTextProperties::HasProperty | ( | const wxString & | name | ) | const`[inline]`

Returns true if the given property is found.

void wxRichTextProperties::operator= | ( | const wxRichTextProperties & | props | ) | `[inline]`

Assignment operator.

bool wxRichTextProperties::operator== | ( | const wxRichTextProperties & | props | ) | const

Equality operator.

wxVariant& wxRichTextProperties::operator[] | ( | size_t | idx | ) | `[inline]`

Returns the variant at the given index.

const wxVariant& wxRichTextProperties::operator[] | ( | size_t | idx | ) | const`[inline]`

Returns the variant at the given index.

void wxRichTextProperties::SetProperties | ( | const wxRichTextVariantArray & | props | ) | `[inline]`

Sets the array of variants.

void wxRichTextProperties::SetProperty | ( | const wxString & | name,
|  | bool | value |
| ) |  |  |

Sets property by name and boolean value.

void wxRichTextProperties::SetProperty | ( | const wxString & | name,
|  | double | value |
| ) |  |  |

Sets property by name and double value.

void wxRichTextProperties::SetProperty | ( | const wxString & | name,
|  | long | value |
| ) |  |  |

Sets property by name and long integer value.

void wxRichTextProperties::SetProperty | ( | const wxString & | name,
|  | const wxString & | value |
| ) |  |  |

Sets a property by name and string value.

void wxRichTextProperties::SetProperty | ( | const wxString & | name,
|  | const wxVariant & | variant |
| ) |  |  |

Sets a property by name and variant.

void wxRichTextProperties::SetProperty | ( | const wxVariant & | variant | ) |

Sets the property by passing a variant which contains a name and value.

## Member Data Documentation

wxRichTextVariantArray wxRichTextProperties::m_properties`[protected]`

|  | [ top ]